Subject: [bug#52562] [PATCH] gnu: xorg-server: Update to 21.1.2.

From: Leo Famulari <[email-masked]>
Date: Sat, 18 Dec 2021 23:56:53 -0500

On Sun, Dec 19, 2021 at 01:49:08AM +0000, Kaelyn wrote:
> No worries, and take your time! I just wanted to ping the patch so that the security fixes could land before the 1.4 release. :)

Sure, I intend to land the patch in the next day or so.

> When I first sent it, on my machine "guix refresh --list-dependent xorg-serv" said it was 80-something packages that would be rebuilt (just checked again after typing that, and it says 82 packages would be built to ensure 137 dependet packages are rebuilt).

Right, that's correct. But there is a also a package
'xorg-server-for-tests', which is used basically for package test
suites. The idea is that it's never used "for real" and so security
issues matter less. And we update that package less often.

You can check on that package like this:

                                Scheme syntax for working with "hidden" packages
-----                           ▼
$ guix refresh -l --expression='(@@ (gnu packages xorg) xorg-server-for-tests)'
Building the following 1419 packages would ensure 3063 dependent packages are rebuilt:
[...]
------